Package: primitives-and-primitive-arrays

## Class int[][]

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `int[][]` | `transpose()` A transpose method for 2D int arrays.

- - ### Methods Detail

    - #### public int[][] transpose()

      A transpose method for 2D int arrays.

      Example usage:

          int[][] nums = [[10, 15, 20], [30, 35, 40]]
          int[][] expected = [[10, 30], [15, 35], [20, 40]]
          assert nums.transpose() == expected

      Returns:
        the transposed 2D int array
      Since:
        3.0.8